%define libname_orig libpng
%define major 0
%define libname %mklibname png %{major}

%define oldmajor 3
%define oldlib %mklibname png %{oldmajor}

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng12
Version:	1.2.51
Release:	1
Epoch:		2
License:	zlib
Group:		System/Libraries
Url:		http://www.libpng.org/pub/png/libpng.html
Source0:	http://prdownloads.sourceforge.net/libpng/libpng-%{version}.tar.xz
# (tpg) APNG support http://littlesvr.ca/apng/
# (tpg) http://hp.vector.co.jp/authors/VA013651/freeSoftware/apng.html
# (tpg) http://sourceforge.net/projects/libpng-apng/ <- use this one
Patch0:		libpng-%{version}-apng.patch.gz
Patch1:		libpng-1.2.36-pngconf-setjmp.patch
Patch2:		libpng-1.2.44-CVE-2008-6218.diff
BuildRequires:	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Conflicts:	%{oldlib} < 2:1.2.46-5

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%files -n %{libname}
%{_libdir}/libpng12.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{oldlib}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries

%description -n %{oldlib}
This package contains the library needed to run programs dynamically
linked with really old versions of libpng.

%files -n %{oldlib}
%{_libdir}/libpng.so.%{oldmajor}*

#----------------------------------------------------------------------------

%prep
%setup -q -n libpng-%{version}
%patch0 -p1 -b .apng
%patch1 -p0 -b .pngconf-setjmp
%patch2 -p0 -b .CVE-2008-6218

%build
export CONFIGURE_TOP=`pwd`

mkdir -p shared
pushd shared
CFLAGS="%{optflags} -funroll-loops" \
%configure2_5x \
	--with-pic \
	--disable-static
%make
popd

%install
%makeinstall_std -C shared

rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_includedir}
rm -rf %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_libdir}/*.la
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_datadir}

%check
make -C shared check

%changelog
* Wed Jul 02 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:1.2.51-1
+ Revision: 3079e8e
- No need for autoreconf, drop O3 from build flags


